<template>
    <div class="project-attendance-config-drawer" v-if="isOpen">
        <el-drawer v-if="isOpen" :visible.sync="isOpen" direction="rtl" size="70%" style="padding-left: 20px">
            <template slot="title">
                <div>{{ title + " 【考勤配置】" }}</div>
            </template>
            <div>
             <main-index ref="main"></main-index>
            </div>
        </el-drawer>
    </div>
</template>

<script>
import mainIndex from './index.vue'
export default {
    components:{
        mainIndex
    },
    data() {
        return {
            isOpen: false,
            title: '',           
        };
    },

    mounted() {

    },

    methods: {              
        show(title) {
            this.title = title||""
            this.isOpen = true;
            setTimeout(()=>{
                this.$refs.main.init();
            },400);    
        },

    },
};
</script>

<style lang="scss" scoped>
.project-attendance-config-drawer {
    ::v-deep .el-drawer__header {
        margin-bottom: 0px;
    }

    ::v-deep .el-drawer__body {
        padding: 12px 24px;
    }
}
</style>